The Ancillary Book request adds a selected ancillary or a paid seat to the new or post-commit workbench.
For ancillaries, first send an Ancillary Shop request and an Ancillary Price request (NDC only). After adding an ancillary to the workbench, you must also issue an EMD for the selected ancillary. See the Ancillary and EMD Guide for more details.
For paid seats, you must first create a workbench and send a Seat Map request.
Security
bearerAuth
Seat and Ancillary Book request payload.
Discriminator class OfferQueryBuildAncillaryOffersFromCatalogOfferings only
Example:"OfferQueryBuildAncillaryOffersFromCatalogOfferings"
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/{ReservationResource_Identifier}/offers/buildancillaryoffersfromcatalogofferings
- https://api.travelport.net/11https://api.travelport.net/11/air/book/airoffer/reservationworkbench/{ReservationResource_Identifier}/offers/buildancillaryoffersfromcatalogofferings
curl -i -X POST \
https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/offers/buildancillaryoffersfromcatalogofferings \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "OfferQueryBuildAncillaryOffersFromCatalogOfferings",
"BuildAncillaryOffersFromCatalogOfferings": [
{
"@type": "BuildAncillaryOffersFromCatalogOfferingsAirSeat",
"CatalogOfferingsIdentifier": {
"Identifier": {
"value": "273da37f-eeb2-4b94-9981-d5a59a757585"
}
},
"CatalogOfferingIdentifier": {
"Identifier": {
"value": "18e36d6e-0d64-4eb2-8bfd-6fc76ef0280a"
}
},
"ProductIdentifier": {
"id": "product_1",
"productRef": "product_1",
"Identifier": {
"value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
"authority": "TVPT"
}
},
"TravelerIdentifierRef": {
"value": "0ae29a03-9e45-4bf5-9a7f-5e69b84adb83"
},
"SeatAssignment": "32F"
}
]
}'OK - Successful Response - 200
Response
{ "OfferListResponse": { "OfferID": [ null ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }